#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

void control(int id, int mode)
{
	int fd;
	char *path = "/sys/class/leds/";
	char file[512];

	sprintf(file, "%s%s/brightness", path, id ? "yellow" : "red");
	fd = open(file, O_WRONLY);
	if (fd < 0)
		return;
	
	if (mode)
		write(fd, "1", 1);
	else 
		write(fd, "0", 1);

	close(fd);
}

int status(void)
{
	int fd, red, yellow;
	char *path = "/sys/class/leds/";
	char file[512];
	char buff[10];

	sprintf(file, "%sred/brightness", path);
	fd = open(file, O_RDONLY);
	if (fd < 0)
		return -1;
	read(fd, buff, 10);
	red = atoi(buff);
	close(fd);

	sprintf(file, "%syellow/brightness", path);
	fd = open(file, O_RDONLY);
	if (fd < 0)
		return -1;
	read(fd, buff, 10);
	yellow = atoi(buff);
	close(fd);

	return yellow << 1 | red;
}